VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsMeters

Update Meter

Update a Meter by id.

PUT
/meters/{meterId}

Authorization

BearerAuthorizer
AuthorizationBearer <token>

In: header

Path Parameters

meterId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string

The name of the meter

eventName?string

The name of the event that the meter is tracking.

aggregationMethod?

The aggregation method defines how the events should be summed to represent a usage value.

filter?

The filter to apply to the events to be included in the meter. The filter object contains an array of Conditions, each condition represents a logical OR statement. Each condition contains an array of Criteria (criterions), each criterion represents a logical AND statement.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/meters/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "meter": {    "name": "string",    "eventName": "string",    "aggregationMethod": {      "operator": "Count",      "field": "string",      "instanceKey": "string"    },    "filter": {      "conditions": [        {          "criterions": [            {              "field": "string",              "operator": "Equals",              "value": "string"            }          ]        }      ]    },    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "invalid_request_error",  "code": "resource_not_found",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}